Package org.springframework.aot.hint.annotation

# Annotation Interface Reflective

@Target({ANNOTATION_TYPE,TYPE,CONSTRUCTOR,FIELD,METHOD}) @Retention(RUNTIME) @Documented public @interface Reflective
Indicate that the annotated element requires reflection.

When present, either directly or as a meta-annotation, this annotation triggers the configured processors against the annotated element. By default, a reflection hint is registered for the annotated element so that it can be discovered and invoked if necessary.

Since:
  6.0
Author:
  Stephane Nicoll, Sam Brannen
See Also:
  - `ReflectiveRuntimeHintsRegistrar`
  - `@RegisterReflection`
  - `@RegisterReflectionForBinding`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class<? extends ReflectiveProcessor>[]`
`processors`
`ReflectiveProcessor` implementations to invoke against the annotated element.
`Class<? extends ReflectiveProcessor>[]`
`value`
Alias for `processors()`.

## Element Details

### value

@AliasFor("processors") Class<? extends ReflectiveProcessor>[] value
Alias for `processors()`.

Default:
  {org.springframework.aot.hint.annotation.SimpleReflectiveProcessor.class}

### processors

@AliasFor("value") Class<? extends ReflectiveProcessor>[] processors
`ReflectiveProcessor` implementations to invoke against the annotated element.

Default:
  {org.springframework.aot.hint.annotation.SimpleReflectiveProcessor.class}